/**
  ******************************************************************************
  * @file    SSD1306_Cfg.h
  * @author  Waveshare Team
  * @version V1.0
  * @date    19-July-2017
  * @brief   This file Configures OLED working mode

  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, WAVESHARE SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2014 Waveshare</center></h2>
  ******************************************************************************
  */


#ifndef _SSD1306_CFG_H_
#define _SSD1306_CFG_H_

#include "chip_5023BC016.h"
#include "spi.h"
#include "types.h"

extern const uint8_t oled_asc2_1206[95][12];
extern const uint8_t oled_asc2_1608[95][16];



#endif 

/******************* (C) COPYRIGHT 2014 Waveshare *****END OF FILE*******************/

