
/*!\file
 * \brief         .
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */

#ifndef TEST_MEM_H_
#define TEST_MEM_H_



#include "types.h"
#include "uart.h"
#include "debug_uart.h"
#include "system.h"
#include "memory.h"
#include "test_memory.h"
#include "chip_5023BC016.h"
#include "gpio.h"

/**
 *@brief    
 */
typedef struct{
    uint8_t ErrorFlag;
    uint8_t finishFlag;
}Answer;
/**
 * @brief   
 *   
 * @retval None
 */
void Mem_Test();
void TestPage(Answer* common_out );
uint32_t Test_inner(uint32_t* err,
              uint32_t* err2,
              uint32_t* err3,
              uint32_t* err4,
              uint32_t* err5,
              uint32_t* err6,
              uint32_t* err7,Answer* common_out);
#endif