
/*!\file
 * \brief    ,            TMTX.
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */

#ifndef TMTX_TEST_H_
#define TMTX_TEST_H_

#include "tmtx.h"
#include "gpio.h"
#include "chip_5023BC016.h"
#include "system.h"
#include "debug_uart.h"

#include <stdio.h>
#include <stdlib.h>
/**
 * @brief  
 */      
typedef enum
{
    RESULT_OK,                                                                  //   
    RESULT_FAIL,                                                                //   
    RESULT_NOT_TESTED,                                                          //   
} T_TEST_RESULT;

/**
 * @brief  TMTX
 */ 
T_TEST_RESULT Test_TMTX();       


#endif