/*!\file
 * \brief            TMTX.
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */
#include "tmtx_test.h"



/**
 * \brief  TMTX
 *
 *     TMTX
 *        ,     TMTX
 *        c    TMTX    
 *      ,    .
 *          Workspace: 
 *                      - periph_tmtx_ram -    
 *                      - periph_tmtx_ext -      
 */
void main()
{
    SystemInit2();                                                               //  
    clockInit();                                                                //   
    DBG_UART_Init();                                                            //  UART  
    gpioInit();                                                                 //  GPIO

    Test_TMTX();                                                                //  TMTX
      
    while(1) 
    {
        DBG_TX_Process();                                                       //  ,    ,   UART
    }
}
