/*!\file
 * \brief    ,           Can.
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */

#include "can_test.h"

const unsigned int sys_freq = 80000000;                                     
char dbg_buffer[256];   

/**
 * \brief  Can
 *
 *       
 *      ,    .
 *      CAN-bus-USB    CAN Wise
 *       (  CAN Wise    )    
 *          Workspace: 
 *                      - periph_can_ram -    
 *                      - periph_can_ext -    
 */   
void main()
{
 
    SystemInit();                                                               //   
    clockInit();                                                                //   
    DBG_UART_Init();                                                            //  UART  
    gpioInit();                                                                 //  GPIO
    
    
    // CAN:
    Init_ports_CAN(1);
    CAN_to_USB_Test();                                                          //  CAN
  
    while(1) 
    {
        DBG_TX_Process();                                                       //  ,    ,   UART
    }
}