/*!\file
 * \brief        flash.
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */
#include "flash_test.h"

const uint32_t sys_freq = 80000000;   
char dbg_buffer[256];

/**
 * \brief  Flash
 *
 *    Flash
 *
 *      :
 *
 *       
 *      .
 *         Workspace: 
 *                      - periph_flash_ram -    
 */   
void main()
{
  //  SystemInit();                                                               //  

    CMN_REG->EXTMEM_CTRL = EXT_MEM_TURN_CYCLES(7) | EXT_MEM_WRITE_CYCLES(7) | EXT_MEM_READ_CYCLES(7);  
    CMN_REG->EDAC_CTRL  |= EDAC_En_1 ;
    CMN_REG->EDAC_CTRL  |= EDAC_En_2 ;
  
clockInit();                                                                //   
    DBG_UART_Init();                                                            //  UART  
    gpioInit();                                                                 //  GPIO
    
    Flash_Test();                                                               //  
  
    while(1) 
    {
        DBG_TX_Process();                                                       //  ,    ,   UART
    }
}