
/*!\file
 * \brief            TCRX.
 *
 * Copyright(C)   , 2017
 * Copyright(C)     
 *   .
 *
 *  ,    ,    
 *  ,       
 *  " ".     " " 
 *  - , " "    , 
 *   ,      , 
 *         . 
 *  " "       
 *  ,       ,  , 
 *      ,  - . 
 *  " "         
 *   .  " "     
 *   ,        
 *     .
 *
 *   , ,      
 *       " "  
 *       ,  , 
 *         
 * " ".         .
 */
#include "tcrx_test.h"
   
/**
 * \brief  TCRX
 *
 *     TCRX
 *        ,      TCRX
 *           TMD    
 *      ,    .
 *          Workspace: 
 *                      - periph_tcrx_ram -    
 *                      - periph_tcrx_ext -       
 */   
void main()
{
    SystemInit();                                                               //   
    clockInit();                                                                //   
    DBG_UART_Init();                                                            //  UART  
    gpioInit();                                                                 //  GPIO
    
    Test_TCRX();                                                                //  TCRX
      
    while(1) 
    {
        DBG_TX_Process();                                                       //  ,    ,   UART
    }
}
